cv {raster} | R Documentation

## Coefficient of variation

### Description

Compute the coefficient of variation (expressed as a percentage). If there is only a single value, `sd` is `NA` and `cv` returns `NA` if `aszero=FALSE` (the default). However, if (`aszero=TRUE`), `cv` returns `0`.

### Usage

    ## S4 method for signature 'ANY'
    cv(x, ..., aszero=FALSE, na.rm = FALSE)

    ## S4 method for signature 'Raster'
    cv(x, ..., aszero=FALSE, na.rm = FALSE)

### Arguments

`x` | A vector of numbers (typically integers for modal), or a Raster* object
`...` | additional (vectors of) numbers, or Raster objects
`aszero` | logical. If `TRUE`, a zero is returned (rather than an NA) if the cv of single value is computed
`na.rm` | Remove (ignore) NA values

### Value

vector or RasterLayer

### Examples

    data <- c(0,1,2,3,3,3,3,4,4,4,5,5,6,7,7,8,9,NA)
    cv(data, na.rm=TRUE)

[Package raster version 2.5-2 Index]